## org.jfree.chart.block
Class LengthConstraintType

    java.lang.Object
      org.jfree.chart.block.LengthConstraintType

All Implemented Interfaces:
  java.io.Serializable

    public final class LengthConstraintType

extends java.lang.Object
implements java.io.Serializable

Defines tokens used to indicate a length constraint type.

See Also:
  Serialized Form

Field Summary
`static LengthConstraintType` `FIXED` FIXED.
`static LengthConstraintType` `NONE` NONE.
`static LengthConstraintType` `RANGE` Range.

Method Summary
`boolean` `equals(java.lang.Object obj)` Returns `true` if this object is equal to the specified object, and `false` otherwise.
`int` `hashCode()` Returns a hash code value for the object.
`java.lang.String` `toString()` Returns a string representing the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static final LengthConstraintType NONE

  NONE.

### RANGE

    public static final LengthConstraintType RANGE

  Range.

### FIXED

    public static final LengthConstraintType FIXED

  FIXED.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representing the object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    The string.

### equals

    public boolean equals(java.lang.Object obj)

  Returns `true` if this object is equal to the specified object, and `false` otherwise.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.

### hashCode

    public int hashCode()

  Returns a hash code value for the object.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    The hashcode